4 Replies Latest reply: Jan 21, 2013 8:27 AM by edex67
sgobron Level 1 Level 1

Hi. My printer just crashed Is there still a compatible printer for my eMac with OS 10.3.9?


eMac, Mac OS X (10.3.x)
  • Allan Jones Level 7 Level 7
    expertise.ipad
    iPad

    Some Brother printers still support 10.3. A friend with a circa 1998 G3 PowerBook running 10.3.9 recently bought a new Canon inkjet and it works perfectly. You have to go to web sites and see what is called out for the min sysreqs.

     

    Also, forget multi-funcitons. They almost all want a much higher OS than you have.

  • Eustace Mendis Level 7 Level 7

    Assuming you are in the market for a black and white laser printer, Brother claims the 2170W (which I own) will work even with OS 10.2. But I do not know if that model is still being sold.

     

    To check on any Brother printer, go to the site and navigate to the driver downloads page:

    http://www.brother.ca/en-CA/customer_care/downloads.aspx

     

    To find out what OS is supported select a printer and check what drivers are available.

     

    p.s. I happen to like Brother printers. They are often on sale for $60 to $70.

  • Allan Jones Level 7 Level 7
    expertise.ipad
    iPad

    Eustace wrote:

     

    Brother claims the 2170W (which I own) will work even with OS 10.2.

     

    Yes, the last time I looked at software for our Brother B/W laser HL5250DN, they still showed OS9 drivers!

  • edex67 Level 4 Level 4

    As well as the venerable Brother printers you could also go for an Apple LaserWriter (which works but is very old and there is no new ink) or older HP LaserJet printers (such as the 4000 series).